/**
 * ParticipationVerifier2.java
 *
 * File generated from the medication2::ParticipationVerifier2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationVerifier2.
 *
 * 
 */

@XmlType(name = "ParticipationVerifier")
@XmlEnum
@XmlRootElement(name = "ParticipationVerifier2")
public enum ParticipationVerifier2 {
	@XmlEnumValue("VRF")
	VRF("VRF"),
	@XmlEnumValue("AUTHEN")
	AUTHEN("AUTHEN"),
	@XmlEnumValue("LA")
	LA("LA");
	
	private final String value;

    ParticipationVerifier2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationVerifier2 fromValue(String v) {
        for (ParticipationVerifier2 c: ParticipationVerifier2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
